(TeX-add-style-hook "lifia-th"
 (function
  (lambda ()
    (LaTeX-add-environments
     '("thebibliography" 1)
     '("example" 1)
     "theorem"
     "lemma"
     "proposition"
     "corollary"
     "definition"
     "proof"
     "remark"
     "example"
     "description"
     "resume"
     "abstract"
     "motscles"
     "keywords"
     "verse"
     "quotation"
     "quote"
     "figure"
     "figure"
     "table"
     "table"
     "theindex")
    (TeX-add-symbols
     '("indexintro" 1)
     '("conclusion" 1)
     '("descriptionlabel" 1)
     "chaptermark"
     "sectionmark"
     "chaptermark"
     "chaptermark"
     "sectionmark"
     "maketitle"
     "maketitle"
     "maketitle"
     "maketitle"
     "part"
     "chapter"
     "section"
     "subsection"
     "subsubsection"
     "paragraph"
     "subparagraph"
     "appendix"
     "listofexamples"
     "makelabel"
     "tableofcontents"
     "listoffigures"
     "listoftables"
     "indexintrotext"
     "newblock"
     "item"
     "subitem"
     "subsubitem"
     "indexspace"
     "efill"
     "dotfill"
     "dotfil"
     "pfill"
     "contentsname"
     "listfigurename"
     "listtablename"
     "listexamplename"
     "bibname"
     "indexname"
     "figurename"
     "tablename"
     "examplename"
     "remarkname"
     "partname"
     "thepartspell"
     "chaptername"
     "appendixname"
     "appendicesname"
     "resumename"
     "abstractname"
     "motsclesname"
     "keywordsname"
     "gradename"
     "soutname"
     "laboname"
     "domainname"
     "today"
     "frenchpunct"
     "kern"
     "nofrenchpunct"
     "frontmatter"
     "mainmatter")
    (TeX-run-style-hooks
     "leqno"
     "fleqn"
     "frhyphex"))))

