;;; Nastaven rozloen klves "vzor Lhotka" vetn pokusu o funknost na
;;; sunovskch klvesnicch (grr!).

(if (>= emacs-major-version 20)

(load "local-keyboard-20.el")

(setq cz-keyboard-nonstandard nil)

(setq cz-standard-keyboard
      '(
	((?1 . "+") (?2 . [236]) (?3 . [185]) (?4 . [232]) (?5 . [248])
	 (?6 . [190]) (?7 . [253]) (?8 . [225]) (?9 . [237]) (?0 . [233])
	 (?! . "1") (?@ . "2") (?# . "3") (?$ . "4") (?% . "5") (?^ . "6")
	 (?& . "7") (?* . "8") (?\( . "9") (?\) . "0") (?_ . "="))
	(?+
	 (?c . [232]) (?d . [239]) (?e . [236]) (?n . [242]) (?r . [248])
	 (?s . [185]) (?t . [187]) (?u . [249]) (?z . [190]) (?C . [200])
	 (?D . [207]) (?E . [204]) (?N . [210]) (?R . [216]) (?S . [169])
	 (?T . [171]) (?U . [217]) (?Z . [174]))
	(?=
	 (?a . [225]) (?e . [233]) (?i . [237]) (?o . [243]) (?u . [250])
	 (?y . [253]) (?A . [193]) (?E . [201]) (?I . [205]) (?O . [211])
	 (?U . [218]) (?Y . [221]))
	(?\M-=
	 (?a . [228]) (?e . [235]) (?o . [246]) (?u . [252])
	 (?A . [196]) (?E . [203]) (?O . [214]) (?U . [220]))
	(262189
	 (?a . [228]) (?e . [235]) (?o . [246]) (?u . [252])
	 (?A . [196]) (?E . [203]) (?O . [214]) (?U . [220]))
	))

(setq cz-dead-symbols
      '((?= . ?\264) (?+ . ?\267) (?\M-= . ?\250) (262189 . ?\250)))

(if (not key-translation-map)
    (setq key-translation-map (make-sparse-keymap)))

;; Toto je pro Suny
(define-key key-translation-map [262193] "!")
(define-key key-translation-map [262194] "@") 
(define-key key-translation-map [262195] "#") 
(define-key key-translation-map [262196] "$") 
(define-key key-translation-map [262197] "%") 
(define-key key-translation-map [262198] "^") 
(define-key key-translation-map [262199] "&") 
(define-key key-translation-map [262200] "*") 
(define-key key-translation-map [262201] "(") 
(define-key key-translation-map [262192] ")") 
(define-key key-translation-map [262189] "_")

;; Nastaven definovan klvesnice
(load "czech")
(cz-set-keyboard)

(define-key key-translation-map "\M-1" "!")
(define-key key-translation-map "\M-2" "@")
(define-key key-translation-map "\M-3" "#")
(define-key key-translation-map "\M-4" "$")
(define-key key-translation-map "\M-5" "%")
(define-key key-translation-map "\M-6" "^")
(define-key key-translation-map "\M-7" "&")
(define-key key-translation-map "\M-8" "*")
(define-key key-translation-map "\M-9" "(")
(define-key key-translation-map "\M-0" ")")
(define-key key-translation-map "\M--" "_")

(global-set-key [f21] 'cz-keyboard-mode)

)
