(TeX-add-style-hook "scrreprt"
 (function
  (lambda ()
    (LaTeX-add-environments
     '("thebibliography" 1)
     "description"
     "labeling"
     "verse"
     "quotation"
     "quote"
     "abstract"
     "abstract"
     "titlepage"
     "figure"
     "figure"
     "table"
     "table"
     "theindex")
    (TeX-add-symbols
     '("maketitle" ["argument"] 0)
     '("marginline" 1)
     '("labelinglabel" 1)
     '("minisec" 1)
     '("dedication" 1)
     '("lowertitleback" 1)
     '("uppertitleback" 1)
     '("publishers" 1)
     '("titlehead" 1)
     '("extratitle" 1)
     "headincludeon"
     "headincludeoff"
     "headseplineon"
     "headseplineoff"
     "footincludeon"
     "footincludeoff"
     "footseplineon"
     "footseplineoff"
     "chaptermark"
     "sectionmark"
     "chaptermark"
     "sectionmark"
     "sectionmark"
     "chaptermark"
     "chaptermark"
     "sectionmark"
     "footnotesize"
     "footnoterule"
     "thanks"
     "maketitle"
     "maketitle"
     "thanks"
     "maketitle"
     "part"
     "chapter"
     "addchap"
     "section"
     "subsection"
     "subsubsection"
     "paragraph"
     "subparagraph"
     "makelabel"
     "makelabel"
     "appendix"
     "descfont"
     "sectfont"
     "pnumfont"
     "headfont"
     "capfont"
     "caplabelfont"
     "tableofcontents"
     "listoffigures"
     "listoftables"
     "newblock"
     "item"
     "subitem"
     "subsubitem"
     "indexspace"
     "contentsname"
     "listfigurename"
     "listtablename"
     "bibname"
     "indexname"
     "figurename"
     "tablename"
     "partname"
     "chaptername"
     "appendixname"
     "abstractname"
     "today"
     "chaptermarkformat"
     "sectionmarkformat"
     "partformat"
     "chapterformat"
     "figureformat"
     "tableformat"
     "captionformat")
    (TeX-run-style-hooks
     "leqno"
     "fleqn"))))

